# type_traits.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file type_traits.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Classes

- struct __gnu_cxx::__add_unsigned< _Tp >
- struct __gnu_cxx::__add_unsigned< char >
- struct __gnu_cxx::__add_unsigned< int >
- struct __gnu_cxx::__add_unsigned< long >
- struct __gnu_cxx::__add_unsigned< long long >
- struct __gnu_cxx::__add_unsigned< short >
- struct __gnu_cxx::__add_unsigned< signed char >
- struct __gnu_cxx::__conditional_type< _Cond, _Iftrue, _Iffalse >
- struct __gnu_cxx::__conditional_type< false, _Iftrue, _Iffalse >
- struct __gnu_cxx::__enable_if<, >
- struct __gnu_cxx::__enable_if< true, _Tp >
- struct __gnu_cxx::__promote< _Tp, >
- struct __gnu_cxx::__promote< _Tp, false >
- struct __gnu_cxx::__promote_2< _Tp, _Up >
- struct __gnu_cxx::__promote_3< _Tp, _Up, _Vp >
- struct __gnu_cxx::__promote_4< _Tp, _Up, _Vp, _Wp >
- struct __gnu_cxx::__remove_unsigned< _Tp >
- struct __gnu_cxx::__remove_unsigned< char >
- struct __gnu_cxx::__remove_unsigned< unsigned char >
- struct __gnu_cxx::__remove_unsigned< unsigned int >
- struct __gnu_cxx::__remove_unsigned< unsigned long >
- struct __gnu_cxx::__remove_unsigned< unsigned long long >
- struct __gnu_cxx::__remove_unsigned< unsigned short >

## Defines

- #define _EXT_TYPE_TRAITS

## Functions

- template<typename _Type> bool __gnu_cxx::__is_null_pointer (_Type)
- template<typename _Type> bool __gnu_cxx::__is_null_pointer (_Type *__ptr)